org.eclipse.microprofile.lra.tck.participant.api

## Class AfterLRAParticipant

- java.lang.Object
- - org.eclipse.microprofile.lra.tck.participant.api.AfterLRAParticipant

    @ApplicationScoped
     @Path(value="after-lra-participant")
    public class AfterLRAParticipant
    extends Object

resource for testing that methods annotated with `AfterLRA` are notified correctly when an LRA terminates

### Field Summary

Fields
`static String` `AFTER_LRA_PARTICIPANT_PATH`
`static String` `AFTER_LRA_PARTICIPANT_WORK`

### Constructor Summary

Constructors
Constructor and Description
`AfterLRAParticipant()`

### Method Summary

All Methods Instance Methods Concrete Methods
`jakarta.ws.rs.core.Response` `activityWithLRA(URI recoveryId, URI lraId)`
`jakarta.ws.rs.core.Response` `afterEnd(URI lraId, LRAStatus status)`
`jakarta.ws.rs.core.Response` `compensateWork(URI lraId)`
`jakarta.ws.rs.core.Response` `completeWork(URI lraId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### AFTER_LRA_PARTICIPANT_PATH

    public static final String AFTER_LRA_PARTICIPANT_PATH

See Also:
  Constant Field Values

#### AFTER_LRA_PARTICIPANT_WORK

    public static final String AFTER_LRA_PARTICIPANT_WORK

See Also:
  Constant Field Values

### Constructor Detail

#### AfterLRAParticipant

    public AfterLRAParticipant()

### Method Detail

#### completeWork

    @PUT
     @Path(value="/complete")
    public jakarta.ws.rs.core.Response completeWork(@HeaderParam(value="Long-Running-Action")
                                                                                   URI lraId)

#### compensateWork

    @PUT
     @Path(value="/compensate")
    public jakarta.ws.rs.core.Response compensateWork(@HeaderParam(value="Long-Running-Action")
                                                                                       URI lraId)

#### activityWithLRA

    @PUT
     @Path(value="work")
    public jakarta.ws.rs.core.Response activityWithLRA(@HeaderParam(value="Long-Running-Action-Recovery")
                                                                                 URI recoveryId,
                                                                                 @HeaderParam(value="Long-Running-Action")
                                                                                 URI lraId)

#### afterEnd

    @PUT
     @Path(value="/after")
    public jakarta.ws.rs.core.Response afterEnd(@HeaderParam(value="Long-Running-Action-Ended")
                                                                            URI lraId,
                                                                            LRAStatus status)